# Autor: Tobias Müller
# Beschreibung: Dieser Systemd-Service ermöglicht das Herstellen 
#               einer Internetverbindung über den USB-Host-Anschluss.

[Unit]
# Kurze Beschreibung des Services
Description=Internet über USB

# Service wird nach dem "Network Target" gestartet
After=network.target

[Service]
# Setze Service-Typ auf Simple -> Main-Process
Type=simple

# Starte den Service mit Root-Rechten
User=root

# Starte den Service bei einem Fehler nach 1s für max. 10 Versuche
# innerhalb von 15s neu
Restart=on-failure
RestartSec=1
StartLimitBurst=10
StartLimitInterval=15

# Füge als erstes die IP-Adresse der USB-Host-Schnittstelle als 
# Gateway hinzu
ExecStartPre=/bin/sh -c "/sbin/route add default gw 192.168.7.1"

# Füge danach die Google-IP-Adresse als DNS hinzu
ExecStart=/bin/sh -c "echo \"nameserver 8.8.8.8\" >> /etc/resolv.conf"

# Deaktiviere Service, wenn der Prozess beendet wurde
RemainAfterExit=no

[Install]
# Aktiviere und starte den Service für Mehrbenutzersystem, mit
# oder ohne grafische Anmeldung
WantedBy=multi-user.target
